@echo off
C:
if not exist speed.exe goto filesmissing
if not exist speed_s.exe goto filesmissing
if not exist speed_w.com goto filesmissing
if not exist speed.doc goto filesmissing
if not exist speed.exe goto filesmissing
if not exist _default.pif goto filesmissing
if not exist remove.bat goto filesmissing
if not exist command.sp1 goto filesmissing

mode con:lines=43
cls
echo                      ---  INITIAL SETUP FOR SPEED  ---
echo.
IF EXIST \DOS\SPEED goto transfer
IF NOT EXIST \DOS md \DOS
echo  Creating \DOS\SPEED directory to store support files
md \DOS\SPEED
:transfer
echo  --copying preference file and sample macro files to \dos\speed
copy speed.prf \dos\speed /y
copy *.sp1 \dos\speed /y
:windows
if not exist \WINDOWS goto nowindir
if exist _default.bak goto win1
if not exist \windows\_default.pif goto win1
copy \windows\_default.pif _default.bak
echo --changing current _default.pif in \WINDOWS directory to _default.bak and
echo        moving it to current directory for backup
:win1
echo --installing new _default.pif in \WINDOWS directory to overcome Windows bug, 
echo        at least for the default DOS prompt inside Windows
copy _default.pif \windows /y
goto introducespeed

:nowindir
if exist _default.bk goto win2
if not exist \_default.pif goto win2
echo --changing current _default.pif in root directory to _default.bak and
echo        moving it to current directory for backup
copy \_default.pif _default.bk
:win2
echo --installing new _default.pif in root directory to overcome Windows bug, 
echo        at least for the default DOS prompt inside Windows
copy _default.pif \ /y
 
echo.
:introducespeed
echo.
pause
mode con:lines=43
cls
echo  Introducing the three SPEEDs...
speed_w
echo.
echo -----This is Speed_w, which is designed to be loaded in Speed.exe's
echo place just prior to the launch of Windows, then to be overridden
echo by Speed or Speed_s in selected DOS windows as desired.  When resident
echo Speed_w takes up minimal memory, so minimal memory is tied up once
echo in Windows or Windows95, but you still get capslock release and a few
echo other basics in every single DOS window.
echo.
pause
speed_w/u
cls
speed_s
echo.
echo -----Here's Speed_s, which is nearly identical to "full" Speed except
echo for no macros.  Use it if memory's a little tight or a particular
echo application and "full" Speed don't get along.
echo.
pause
speed_s/u
cls
speed
echo.
echo -----And here's Speed.exe, or "full" Speed.  It can be loaded by
echo autoexec.bat if you use the DOS prompt outside of Windows, and can be
echo loaded in any DOS window as desired once inside Windows.
echo.
echo If you press ctrl-NUMLOCK now you'll see that some sample macros 
echo have been pre-recorded.  Quickly press NUMLOCK again before the
echo display turns off and you see the name of the file that macros for
echo the DOS prompt are recorded to, and the available memory left for
echo that file.  Press BACKSPACE to again look at the listing of active 
echo macros, then press SPACE.
echo.
echo As soon as you finish reading this then try the various macros. 
echo ctrl-1 changes the display to 50 lines (if you have VGA or SVGA),
echo ctrl-2 to 43 lines, and ctrl-3 to 25 lines.
echo.
echo To do a quick macro recording, press alt+ctrl+M, then press a ctrl
echo letter or number.  Have fun!
goto end

:filesmissing
echo Some files are missing...  unzip from the .zip file again.
echo If unsuccessful again the .zip file is damaged or unauthorized.
:end
echo.
